gce-compute-image-packages 20180905+dfsg1-0ubuntu1~16.04.1 source package in Ubuntu

Changelog

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/patches/set-LDFLAGS-for-PAM.patch: Fix missing symbols
    when using oslogin due to misording of the boost regex library
    in linking the PAM modules. (LP: #1798706)

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
  * Build-depend on libboost-regex-dev for regex support
    version making dh-systemd obsolete
  * Choose std:: or boost:: regex based on support for C++11
  * Set LDFLAGS at the end of the the c++ command line right before libs.
    This fixes passig additional libs to make, namely -lboost_regex
  * Link with boost for regex support
  * Free tests from C++11 constructs to let them being compiled without
    C++11 support

gce-compute-image-packages (20180905+dfsg1-0ubuntu1) cosmic; urgency=medium

  [ Balint Reczey ]
  * New upstream version 20180905+dfsg1 (LP: #1792466)
    - Restart the network daemon if networking is restarted.
    - Prevent setup of the default ethernet interface.
    - Accounts daemon can now verify username is 32 characters or less.
    - Prevent IP forwarding daemon log spam.
    - Make default shell configurable when executing metadata scripts.
    - Rename distro directory to distro_lib.
  * debian/control: Update Vcs-* fields to point to the new packaging repository
  * Update shared library symlinks
  * Drop 0001-Adjust-tests-to-changed-LoadJsonArrayToCache-behavio.patch,
    it is integrated upstream
  * Build depend on debhelper (>= 9.20160709) instead of on dh-systemd
    to keep Lintian happy.

  [ Google Cloud Team ]
  * Remove NTP dependency from packaging

gce-compute-image-packages (20180510+dfsg1-0ubuntu5) cosmic; urgency=medium

  * Depend on the same version of google-compute-engine-oslogin
  * Only Recommend rsyslog | system-log-daemon (LP: #1780109)

gce-compute-image-packages (20180510+dfsg1-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0004-order-shutdown-scripts-after-snapd.patch: Order
    shutdown scripts after snapd.service.
  * debian/patches/0005-add-snap-bin-to-path.patch: Add /snap/bin to
    PATH for startup/shutdown scripts.

 -- Daniel Axtens <email address hidden>  Fri, 19 Oct 2018 12:35:45 +1100

Upload details

Uploaded by:
Daniel Axtens on 2018-10-19
Sponsored by:
Balint Reczey
Uploaded to:
Xenial
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
admin
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Xenial updates on 2018-10-19 universe admin

Downloads

File Size SHA-256 Checksum
gce-compute-image-packages_20180905+dfsg1.orig.tar.xz 104.1 KiB b386f3e66f097611aeaf00f19decbe5f254ab3ddf0022e509bc8254f559f0f23
gce-compute-image-packages_20180905+dfsg1-0ubuntu1~16.04.1.debian.tar.xz 10.1 KiB cfd88ba779351780911b665c912289aed9b9ce949887159ffb6d14f93a914a75
gce-compute-image-packages_20180905+dfsg1-0ubuntu1~16.04.1.dsc 2.8 KiB 15bc494014573706d6318c5edb83d7f9ca733801cdfd67b9fbf93f8ae35a7dcd

View changes file

Binary packages built by this source

gce-compute-image-packages: GCE's compute-image-packages for use in their guest environment

 This is a collection of scripts that are used on Google Compute Engine images
 to ensure compatibility with the cloud, as well as to enable features specific
 to the cloud.

google-compute-engine-oslogin: Google Compute Engine OS Login

 Contains libraries, applications and configurations for using OS Login
 on Google Compute Engine Virtual Machine Instances.

google-compute-engine-oslogin-dbgsym: debug symbols for package google-compute-engine-oslogin

 Contains libraries, applications and configurations for using OS Login
 on Google Compute Engine Virtual Machine Instances.

python-google-compute-engine: Python library for Google Compute Engine interaction

 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality. This package contains the modules for Python 2.x.

python3-google-compute-engine: Python library for Google Compute Engine interaction (Python 3)

 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality. This package contains the modules for Python 3.x.